Bug 1006093 - Dot separated process variable name as Map accessor on Task parameter mapping fails on Import in Designer
Dot separated process variable name as Map accessor on Task parameter mapping...
Status: CLOSED NOTABUG
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Kris Verlaenen
Marek Baluch
:
Depends On: 999425
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 22:15 EDT by Toshiya Kobayashi
Modified: 2013-11-04 12:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 999425
Environment:
Last Closed: 2013-11-04 12:13:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4102 Major Open Dot separated process variable name as Map accessor on Task parameter mapping fails on Import in Designer 2013-12-10 04:08:51 EST

  None (edit)
Description Toshiya Kobayashi 2013-09-09 22:15:23 EDT
+++ This bug was initially created as a clone of Bug #999425 +++

Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-4102


Steps to Reproduce:
1. Import sample.bpmn attached to JBPM-4102


Actual results:

Throws an Exception and fails to import.

Expected results:

Import the BPMN successfully
Comment 1 JBoss JIRA Server 2013-09-09 23:20:47 EDT
Toshiya Kobayashi <tkobayas@redhat.com> made a comment on jira JBPM-4102

Attaching sample bpmn.

- I removed 
targetNamespace="http://www.jboss.org/drools" for Designer to be able to accept.
- I removed 'Result Mappings' which causes another error.
Comment 2 Alessandro Lazarotti 2013-11-04 12:12:13 EST
Kris comment at Bug 999425:

sourceRef of a data association should be a valid IDREF, so strictly speaking, it can't be something like <sourceRef>myMap.var1</sourceRef>.  A transformation element (which is an expression inside the data association) should be used to store the expression.

So when using BPMN2 (both Designer and Eclipse), currently the user cannot set expressions as source for data associations.  As alternative, scripts should be used to set a variable with the right value and then use a simple data association to map that variable to the data input.

We will have to consider adding support for transformation expressions in the future.

Note You need to log in before you can comment on or make changes to this bug.